xtables-addons (3.25-2ubuntu0.1) noble; urgency=medium

  * Support Linux 6.14 (LP: #2111383)
    - debian/patches/fix-unaligned-header.patch

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 20 May 2025 21:44:54 -0500

xtables-addons (3.25-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:24 +1100

xtables-addons (3.25-2) unstable; urgency=medium

  * d/control
    - wrap build-dep's
    - move libtext-csv-xs-perl from `Suggests:` to `Recommends:`
      Thanks to Fabio Pedretti for pointing out the discrepancy.
    - update pkg-config build-dep to pkgconf
  * d/control*, d/copyright
    - update my e-mail address

 -- Jeremy Sowden <azazel@debian.org>  Sun, 03 Mar 2024 21:44:45 +0000

xtables-addons (3.25-1) unstable; urgency=medium

  * New upstream version 3.25
    + xt_ipp2p: change text-search algo to KMP
    (fix some false negative matches)
  * d/gbp.conf: dedup `pristine-tar` setting
  * d/rules: support `terse` build option

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 18 Nov 2023 09:51:42 +0000

xtables-addons (3.24-2) unstable; urgency=medium

  * d/control: use tracker.d.o address for maintainer
  * d/rules: replace `override_dh_auto_install` with
    `execute_before_dh_auto_install`
  * d/s/options: ignore CPP dependency files (Closes: #1047926)

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 14 Aug 2023 19:16:07 +0100

xtables-addons (3.24-1) unstable; urgency=medium

  * New upstream version 3.24
    + xt_geoip: bump number of territories per rule
    + xt_geoip: use stdout for output and stderr for errors/diag in DB
      build scripts

 -- Jeremy Sowden <jeremy@azazel.net>  Tue, 13 Jun 2023 20:44:48 +0100

xtables-addons (3.23-1) unstable; urgency=medium

  * New upstream version 3.23
    + Support for Linux 6.2
  * d/control
    + bump Standards-Version to 4.6.2
  * d/s/lintian-overrides
    + suppress warning about missing upstream signature
  * d/u/signing-key.asc
    + add upstream signing key
    + minimize key
  * d/watch
    + enable upstream signature verification

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 21 Jan 2023 16:34:39 +0000

xtables-addons (3.22-1) unstable; urgency=medium

  * New upstream version 3.22
    + Support for Linux 6.1.
    + New `asn` matcher which allows a packet to be matched by its
      source or destination autonomous system number.
  * d/changelog: remove erroneous entry
  * d/gbp.conf: dch: tweak `commit-msg`

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 26 Oct 2022 19:56:21 +0100

xtables-addons (3.21-1) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/gbp.conf: buildpackage: enable pristine-tar
  * d/gbp.conf: dch: tweak commit-msg
  * d/gbp.conf: sort sections
  * d/gbp.conf: DEFAULT: update `debian-branch`
  * New upstream version 3.21
    + Support for Linux 5.19
    + Support for Linux 5.10.121 et seq.
  * d/patches: remove upstreamed patches
  * d/patches: add patches to fix typo's
  * d/watch: bump version
  * d/watch: use HTTPS URL
  * d/rules: remove empty directory
  * d/control.modules.in: define same source package as d/control
  * d/control, d/control.modules.in: sort fields
  * d/control, d/control.modules.in: remove obsolete `Breaks:`
  * d/control, d/control.modules.in: update depends
  * d/control, d/control.modules.in: remove superfluous b-dep on bzip2
  * d/control, d/control.modules.in: add `Multi-Arch:` fields
  * d/control, d/control.modules.in: update package descriptions
  * d/control, d/control.modules.in: bump Standards-Version to 4.6.1
  * d/control, d/copyright: use HTTPS URL's
  * d/copyright: update copyright field for debian/*
  * d/: replace globs with multi-arch variables in file paths
  * d/docs: README has been converted to rST

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Jeremy Sowden <jeremy@azazel.net>  Fri, 15 Jul 2022 11:50:30 +0100

xtables-addons (3.19-1) unstable; urgency=medium

  * New upstream version 3.19
    + Maximum supported kernel version bumped from 5.11 to 5.16.
    + Minimum supported kernel version bumped from 4.15 to 4.16.
    + xt_condition: make mutex per-net.
    + xt_ipp2p: add IPv6 support.
    + xt_ECHO, xt_TARPIT: do not build IPv6 parts if kernel has
      IPv6 build-time disabled.
  * d/control: bump Standards-Version to 4.6.0
  * d/patches: add upstream patch to support 5.17+ kernels

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 05 Feb 2022 20:26:06 +0000

xtables-addons (3.18-1) unstable; urgency=medium

  * New upstream version 3.18.
    + Support for Linux 5.11.
    + New `--mirai` option for xt_lscan.
    + Build-fixes for xt_pknock on 32-bit architectures.
    + xt_geoip_fetch script renamed to xt_geoip_query.
  * d/patches: delete upstreamed patches.
  * d/patches/change-download-to-dbip.patch: fix whitespace.
  * d/gbp.conf: add dch commit-msg.
  * d/control: bump Standards-Version to 4.5.1.
  * d/NEWS: mention rename of xt_geoip_fetch.
  * d/rules: pass V=1 to make to support blhc(1).

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 25 Aug 2021 21:18:41 +0100

xtables-addons (3.13-1) unstable; urgency=medium

  * New upstream version 3.13.
    + Support for Linux 5.10, 5.9.9, 5.4.78 and 4.19.158
      (closes: #975376, #975881).
    + Support for MaxMind GeoIP databases.
  * Drop upstreamed patches.
  * Fix reproducible builds.
    + Explicitly set owner and group for source tar-ball.
    + Explicitly set format of build-date for source tar-ball.
    + Only include the files necesssary to build the kernel modules in
      -dkms and -source packages (closes: #776688).
  * Add patch to remove superfluous xt_geoip_fetch_maxmind script.
  * Add patch to fix man-page typo.
  * Add patch to add man-pages for MaxMind scripts.
  * Add patch to fix xt_geoip_dl_maxmind.
  * Enable hardening.

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 26 Nov 2020 08:57:43 +0000

xtables-addons (3.11-1) unstable; urgency=medium

  * Update gbp.conf in order to merge upstream into debian and create
    pristine-tar deltas.
  * Refresh patches.
  * Run wrap-and-sort.
  * Add Rules-requires-root: no.
  * Bump compat to 13.
  * Update upstream details: the project has moved from sf.net to inai.de.
  * Remove undefined ${misc:Recommends}.
  * Update man-page paths: the upstream build installs them in the right place.
  * Add d/not-installed.
  * Install xt_geoip_fetch.
  * Install the GeoIP scripts into /usr/libexec, not /usr/lib. This
    fixes a lintian warning and is consistent with the paths in the
    man-pages.
  * The package has been adopted by me on behalf of the Netfilter team:
    update maintainer and uploaders accordingly (closes: #910000).
  * Add myself to d/copyright.
  * Add d/.gitignore
  * Rename default branch to debian.
  * d/rules extensively refactored.
    + Remove dh_shlibdeps override: it is no longer required.
    + Add dh_auto_clean override to disable parallel builds for
      `make distclean`.  Fixes building twice.
    + Add patch to get make to clean some extra build artefacts and remove
      all the artefacts cleaned by make from the dh_clean override.
    + Remove get-orig-source target.
    + Always configure without kbuild.
    + Use separate rules, instead of chaining them with `&&`.
    + Use pkg-info.mk in preference to explicitly parsing change-log.
    + Gather variables into one block and rename some of them.
    + Add separate targets for each group of rules.
    + The geoip userspace scripts and man-pages are packaged in -common, and
      are not required for the -source and -dkms packages, so omit them.
      Fixes ${perl:Depends} warning.
    + Tell tar to sort directory entries by name when creating source archive.
  * d/rules.modules tidied up.
    + Remove lots of comments.
    + Use `$(MAKE) $(MAKEARGS)` consistently.
    + Remove DEPMOD from m-a make arguments.
    + Use `dh clean` for `kdist_clean`.
  * Remove unused automake patch.
  * Forward cross-build patch.
  * Add the -dkms package to README.Debian.
  * Change section to "net"
  * New upstream version 3.11
    + Support for Linux 5.9
  * Drop upstreamed patches.
  * Add patch for pknlusr to accept group ID at the command-line.
  * Add a patch to create a man-page for pknlusr.
  * Add a note to d/NEWS about moving the xt_geoip scripts.

 -- Jeremy Sowden <jeremy@azazel.net>  Tue, 27 Oct 2020 13:30:55 +0000

xtables-addons (3.9-1) unstable; urgency=medium

  * New upstream release.
  * New patch to download geodata from db-ip.com (Closes: #950780).
    Thanks, Simone Rossetto.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Apr 2020 14:34:48 +1000

xtables-addons (3.8-2) unstable; urgency=medium

  * iptables-dev --> libxtables-dev (Closes: #950637).
    Thanks, Arturo Borrero Gonzalez.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 05 Feb 2020 08:51:39 +1100

xtables-addons (3.8-1) unstable; urgency=medium

  * New upstream release.
  * DH to version 12.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 04 Feb 2020 15:29:59 +1100

xtables-addons (3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Dec 2019 08:03:39 +1100

xtables-addons (3.6-1) unstable; urgency=medium

  * New upstream release.
    + support for Linux up to 5.4.
  * Corrected NEWS (Closes: #931842).
    Thanks, Alex Volkov.
  * Recommends += "libnet-cidr-lite-perl" (Closes: #910293).
    Thanks, Chris.
  * Fixed "xtables-addons-dkms.dkms.in" template.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 13:03:26 +1100

xtables-addons (3.5-0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

  [ Aron Xu ]
  * Non-maintainer upload.
  * New upstream release (Closes: #917905, #934350)
  * Update xtables-addons-dkms.dkms.in accordingly

 -- Aron Xu <aron@debian.org>  Wed, 25 Sep 2019 14:25:38 +0000

xtables-addons (3.2-1) unstable; urgency=medium

  * New upstream release.
  * VCs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 29 Sep 2018 22:11:50 +1000

xtables-addons (3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    + Support for linux 4.18 (Closes: #906445)
    + Update cross.patch

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Wed, 22 Aug 2018 11:19:11 -0300

xtables-addons (3.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dominik George ]
  * New upstream release
    + Support for Linux 4.12, 4.13, 4.14 (Closes: #872077)
    + Fix buffer overflow in xt_DNETMAP (Closes: #877362)
  * Update Standards-Version and compat level.
    + Remove explicit dependency on dh-autoreconf.

  [ Mateusz Łukasik ]
  * New upstream release 3.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: cross.patch (Closes: #866673)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 13 Mar 2018 18:45:14 +0100

xtables-addons (2.12-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release [January 2017]
    + support for Linux 4.9, 4.10 (Closes: #851576)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 28 Jan 2017 23:15:35 +0000

xtables-addons (2.11-3) unstable; urgency=medium

  * Re-build for auto-iptables transition (Closes: #845516).
  * rules: make build reproducible (Closes: #803601).
    Thanks, Reiner Herrmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 07 Dec 2016 11:18:28 +1100

xtables-addons (2.11-2) unstable; urgency=medium

  * Re-build with correction for iptables (>= 1.6.0-3) compatibility
    (Closes: #834223).
    Thanks Sven Hartge, Sam Morris, Alex Volkov.
  * Depends:
    = iptables-dev (>= 1.6.0-3~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 28 Aug 2016 18:03:28 +1000

xtables-addons (2.11-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Standards-Version: 3.9.8.
  * Vcs URLs to HTTPS.
  * Updated gbp.conf.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 00:49:16 +1000

xtables-addons (2.10-1) unstable; urgency=medium

  * New upstream release [November 2015].
    + support for Linux 4.4.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Nov 2015 10:15:05 +1100

xtables-addons (2.9-1) unstable; urgency=medium

  * New upstream release [October 2015].
    + support for Linux 4.3.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 17 Oct 2015 18:38:23 +1100

xtables-addons (2.8-1) unstable; urgency=low

  * New upstream release [August 2015].
    + support for Linux 4.2. Thanks, Tim Gardner.
    + enable xt_ECHO.
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Aug 2015 07:43:20 +1000

xtables-addons (2.7-2) unstable; urgency=medium

  * DKMS: Disable "xt_ECHO" on Linux-3.x (Closes: #792154).
    Upstream don't build "xt_ECHO" on kernels v4+ since 2.7.
  * Predictable order of modules in DKMS configuration ("LC_ALL=C sort").

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jul 2015 16:38:16 +1000

xtables-addons (2.7-1) unstable; urgency=medium

  * New upstream version [July 2015].
    + compatible with kernels up to 4.1 (Closes: #792154).
  * xtables-addons-source/module-assistant: fixed FTBFS (Closes: #791702).
  * rules: "echo" replaced with "printf" (Closes: #785561).
  * rules: use last changelog date for timestamps in tar file and
    also sort files to get a reproducible order (Closes: #776879).
    Thanks, Reiner Herrmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jul 2015 03:24:26 +1000

xtables-addons (2.6-1) unstable; urgency=medium

  * New upstream version [September 2014].
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 04 Oct 2014 00:07:46 +1000

xtables-addons (2.5-1) unstable; urgency=low

  * New upstream version [April 2014].
  * Install `iptaccount` to "/usr/sbin" instead of "/sbin".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Apr 2014 16:47:32 +1000

xtables-addons (2.4-1) unstable; urgency=low

  * New upstream version [January 2014].
  * Dropped no longer needed "skip-depmod.patch".
  * Added "unzip, wget" to Recommends to satisfy `xt_geoip_dl`
    (Closes: #714654).
  * Fixed FTBFS in m-a/xtables-addons-source (Closes: #730074).
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 13:05:36 +1100

xtables-addons (2.3-1) unstable; urgency=low

  * New upstream version [June 2013]
    + compatible with kernels 3.9+ (Closes: #711431).
  * Patches removed (applied-upstream):
    - bashism_xt_geoip_dl.patch
    - libxt_quota2.patch
    - man.patch
    - undouble_man.patch
  * Disabled "automake-1.11.2.patch" that was needed as workaround for
    temporary regression in automake.
  * Better clean-up after interrupted build attempt.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 19 Jun 2013 10:55:05 +1000

xtables-addons (2.2-1) unstable; urgency=low

  * New upstream version [March 2013].
    + compatible with kernels 3.7+ (Closes: #710722).
  * Standards to version 3.9.4.
  * Dropped unknown package "linux-headers-generic" from Recommends.
  * Removed unnecessary versioned (Build-)Depends.
  * Updated DKMS rules to build modules in DKMS build directory and not
    to leave un-owned files behind (Closes: #710725).
  * New patches:
    + to fix invalid quota2 record on iptables-save
      (Closes: #710379), thanks to Denis Ustimenko.
    + to avoid duplication in man pages.
    + to lintianise man pages and correct spelling.
  * "bashism_xt_geoip_dl.patch" is renamed and refreshed;
    DEP-3 headers added.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Jun 2013 18:16:23 +1000

xtables-addons (1.47.1-1) unstable; urgency=low

  * Imported Upstream version 1.47.1
  * Add patch to fix bashism in xt_geoip_dl script (Closes: #690613)
  * Rebuild with dependency on libxtables9 (Closes: #692347)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 10 Nov 2012 15:09:58 +0100

xtables-addons (1.46-1) unstable; urgency=low

  * New upstream release
  * Improved get-orig-source so it can function disregarding of current
    working directory.
  * Debian source compression to xz.
  * Copyright audit & update.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 19 Sep 2012 19:11:47 +1000

xtables-addons (1.42-2) unstable; urgency=low

  * fix 'clean' target for second kernel-headerless build
    (Closes: #671564 I:"Fails to build twice in a row").
  * sort kernel modules in DKMS config.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 06 May 2012 11:43:41 +1000

xtables-addons (1.42-1) unstable; urgency=low

  * New upstream release
  * removed dependency on libmnl-dev (no longer needed)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 10 Apr 2012 20:14:41 +1000

xtables-addons (1.41-2) unstable; urgency=low

  * standards to current 3.9.3
  * install library to triplet location
  * correct installation of all modules, including ACCOUNT
    (really Closes: #653022 "Upgrading 1.37 => 1.40 breaks accounting")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 27 Feb 2012 02:12:13 +1100

xtables-addons (1.41-1) unstable; urgency=low

  * No longer provide ipset (ipset is separated into 'ipset' package)
  * New Upstream Release
    (Closes: #656510 "fails to compile with Linux 3.2")
    (Closes: #653022 "Upgrading 1.37 => 1.40 breaks accounting")
    (Closes: #626018 "Module pknock not working, bug in source")
  * debhelper and compat to version 9
  * added patch to fix FTBFS with automake 1.11.2

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 04 Feb 2012 14:46:01 +1100

xtables-addons (1.40-1) unstable; urgency=low

  [ Pierre Chifflier ]
  * Add patch to avoid calling depmod during build
  * Add VCS links
  * Change license for packaging files to GPL-2+ (with agreement of all
    authors).
  * Add Dmitry Smirnov as co-maintainer
    - Merge all changes
  * Imported Upstream version 1.40 (2011-11-30)
    Fixes:
    - build: the code actually requires at least iptables 1.4.5
      (would yield a compile error otherwise), make sure configure
      checks for it; update INSTALL
    - xt_ECHO: fix kernel warning about RTAX_HOPLIMIT being used
    - xt_ipv4options: fix an infinite loop
    Changes:
    - xt_ECHO: now calculates UDP checksum
    - Linux kernel versions below 2.6.32 are no longer officially
      supported, and will not be part of compilation testing.
    - update to ipset 6.10
    Enhancements:
    - xt_ECHO: IPv6 support

  [Dmitry Smirnov] <onlyjob@member.fsf.org>
  * Major repackaging (Closes: #638061)
    * Obsolete ipset_v4 replaced with new ipset_v6 (Closes: #648083)
    * debian/copyright updated for DEP5 compatibility
    * debian/control updated
      - Standards version update
      - Depends update
      - Build-depends tightening
    * debian/watch fixed
    * debian/rules rewrite
      - get-orig-source target added
      - build-time cleanup (make clean) is fixed
      - second build do not fail
      - offload most tasks to debhelper (with minimum overrides)
      - standalone debian/rules for xtables-addons-source
      - using CFLAGS/Hardening if provided by DPKG
      - dynamically prepare DKMS config during build
      - configure for Kbuild only if headers available
    * lintianization
      - override for package-name-doesnt-match-sonames
    * DKMS package cleanup
      - broken post-init script removed
      - only clean source is packaged
      - improved configuration
    * source package cleanup
      - module-assistant rules use debhelper more
      - using CFLAGS if provided by DPKG
    * lintian override
    * DKMS config sanitation (all argument in double quotes)
    * patch to avoid build-time depmod invocation
  * Imported Upstream version 1.39 (2011-09-21)
    - libxt_ACCOUNT: fix compilation after missing libxtables_CFLAGS
    - build: fix compilation after missing libxtables_CFLAGS in submodules
    - build: add missing linux/version.h includes where needed
    - Remove unsupported ipset 4.x from the Xtables-addons distribution
    - ipset: move ipset_errcode from src to library to avoid undefined reference
    - update to ipset 6.9.1
    - xt_CHECKSUM: abort build when the feature is already provided by mainline
    - xt_SYSRQ: fix UDPLITE header lookup in IPv6
    - xt_TARPIT: fix kernel warning about RTAX_HOPLIMIT being used
    - xt_TEE: abort build when the feature is already provided by mainline
    - xt_ipp2p: support UDPLITE
    - xt_pknock: support UDPLITE
    - xt_psd: restore functionality with UDP
    - xt_psd: support UDPLITE
    - support for Linux 3.1

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Dec 2011 22:10:25 +0100

xtables-addons (1.37-1) unstable; urgency=low

  * Imported Upstream version 1.37
    This will trigger a rebuild and fix version on iptables libs
    (Closes: #636905)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 07 Aug 2011 20:48:13 +0200

xtables-addons (1.35-1) unstable; urgency=low

  * Imported Upstream version 1.35
  * Update version numbers for DKMS package (Closes: #620662)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 09 May 2011 21:42:42 +0200

xtables-addons (1.33-1) unstable; urgency=low

  * Imported Upstream version 1.33

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 22:34:22 +0200

xtables-addons (1.32-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
  * Add support for DKMS, thanks to Matthew Harrell for the patch
    (Closes: #568635)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 14 Feb 2011 16:02:41 +0100

xtables-addons (1.32-1) unstable; urgency=low

  * Imported Upstream version 1.32 (Closes: #593521)
    - Build on recent kernels (Closes: #590140)
  * Add temporary hack to fix configure with --without-kbuild flag
  * Fix clean target

 -- Pierre Chifflier <pollux@debian.org>  Thu, 13 Jan 2011 14:21:34 +0100

xtables-addons (1.26-2) unstable; urgency=low

  * Do not build the TEE target (Closes: #592237)
  * Fix build not to use kernel headers when building source (Closes: #581779)
  * Bump standards version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Wed, 11 Aug 2010 16:41:05 +0200

xtables-addons (1.26-1) unstable; urgency=low

  * Imported Upstream version 1.26
  * Remove binary (compiled) objects from source tarball

 -- Pierre Chifflier <pollux@debian.org>  Sat, 08 May 2010 11:51:31 +0200

xtables-addons (1.23-1) unstable; urgency=low

  * Imported Upstream version 1.23
  * Bump standards version to 3.8.4
  * Set generated module section to kernel (Closes: #572981)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 13 Mar 2010 13:25:50 +0100

xtables-addons (1.22-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 29 Jan 2010 22:36:45 +0100

xtables-addons (1.21-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 18 Dec 2009 13:53:37 +0100

xtables-addons (1.19-3) unstable; urgency=low

  * Create shlib file
  * Add call to ldconfig in postinst (Closes: #553130)
  * Remove build dependency on quilt
  * Install manpage for ipset

 -- Pierre Chifflier <pollux@debian.org>  Thu, 29 Oct 2009 16:50:44 +0100

xtables-addons (1.19-2) unstable; urgency=medium

  * Remove modules.* files if existing (Closes: #552301)
  * Severity medium, grave bug

 -- Pierre Chifflier <pollux@debian.org>  Mon, 26 Oct 2009 23:11:16 +0100

xtables-addons (1.19-1) unstable; urgency=low

  * New upstream release
  * Provides a better description for the packages (Closes: #548409)
  * Remove 10-uncouple-userspace-from-kernel-build.patch, upstream use a
    different build system allowing to build the .so files only
  * Tweak build system to become more kbuild-friendly (Closes: #530799)
    The following command now works:
    make -C /lib/modules/$(uname -r)/build M=/usr/src/modules/xtables-addons

 -- Pierre Chifflier <pollux@debian.org>  Mon, 19 Oct 2009 23:04:42 +0200

xtables-addons (1.18-1) unstable; urgency=low

  * New Upstream Version
    This version has support for 2.6.31 (Closes: #545542)
  * Bump standards version (no changes)
  * Depend on quilt (Closes: #533653)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 10 Sep 2009 21:42:05 +0200

xtables-addons (1.17-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Jun 2009 16:08:45 +0200

xtables-addons (1.16-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Sun, 07 Jun 2009 22:08:15 +0200

xtables-addons (1.15-3) unstable; urgency=medium

  * Make xtables-addons-common conflict with ipset (Closes: #528611)
  * Urgency medium, serious bug

 -- Pierre Chifflier <pollux@debian.org>  Thu, 14 May 2009 11:15:40 +0200

xtables-addons (1.15-2) unstable; urgency=low

  * Add pkg-config to xtables-addons-source dependencies (Closes: #528169)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 11 May 2009 17:37:49 +0200

xtables-addons (1.15-1) unstable; urgency=low

  * New Upstream Version (Closes: #527254):
    This release adds the RAWNAT extension and fixes
    subtle leftover bugs in condition, fuzzy, and ipp2p.
  * Add build-dep on quilt, and patches (Closes: #517698):
    - 10-uncouple-userspace-from-kernel-build.patch
  * Re-introduce xtables-addons-common
  * Thanks to John Wright for the original patches, merged with modifications

 -- Pierre Chifflier <pollux@debian.org>  Wed, 06 May 2009 23:08:35 +0200

xtables-addons (1.14-2) unstable; urgency=low

  * Add dependency on pkg-config for the source module (Closes: #525088)
  * Allow building against kernels different than the running one
    (Closes: #525089, #517699)
    Thanks to John Wright for the patch.

 -- Pierre Chifflier <pollux@debian.org>  Wed, 22 Apr 2009 09:17:35 +0200

xtables-addons (1.14-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version (no changes)
  * Set dependency on iptables-dev >= 1.4.3

 -- Pierre Chifflier <pollux@debian.org>  Thu, 02 Apr 2009 15:34:21 +0200

xtables-addons (1.12-1) unstable; urgency=low

  * New Upstream Version
  * Remove generated map files (Closes: #517699)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 09 Mar 2009 17:56:57 +0100

xtables-addons (1.10-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * Packaging has been rewritten (Closes: #511591)
  * Add watch file
  * Add postinst file to generated module to call depmod (Closes: #513492)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 25 Feb 2009 12:16:04 +0100

xtables-addons (1.8-1) experimental; urgency=low

  * New upstream release:
    Some crashes with ipp2p have been fixed, and the TEE module
    gained IPv6 capability.

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Jan 2009 09:43:51 +0100

xtables-addons (1.7-2) experimental; urgency=low

  * Remove generated modules.map files from binary module.

 -- Pierre Chifflier <pollux@debian.org>  Sat, 10 Jan 2009 17:42:43 +0100

xtables-addons (1.7-1) experimental; urgency=low

  * Re-write package:
    - remove xtables-addons-common package
    - put complete modules and libs sources in -source package
  * New upstream release:
    - update ipset version
    - fix build with the latest 2.6.28(-rc) kernel
  * Add missing dependency on iptables-dev (Closes: #504563)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 06 Jan 2009 11:04:05 +0100

xtables-addons (1.5.7-2) unstable; urgency=low

  * Fix FTBFS: add headers for all linux versions, and build
    for the installed headers version

 -- Pierre Chifflier <pollux@debian.org>  Mon, 27 Oct 2008 22:31:20 +0100

xtables-addons (1.5.7-1) unstable; urgency=low

  * Initial release (Closes: #502402)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 19 Oct 2008 16:11:52 +0200
